﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:ms="urn:schemas-microsoft-com:xslt"
xmlns:vb="urn:the-xml-files:xslt-vb">
<ms:script language="VBScript" implements-prefix="vb">
    <![CDATA[
	'Copyright (c) 2001-2004 Alexander Fedorenko. All Rights Reserved.
	'Do not modify this code. Use separate include instead.
	Dim gReportingPeriodStart, gReportingPeriodEnd
	Function SetReportingPeriod(reportingPeriodStart, reportingPeriodEnd)
 		gReportingPeriodStart = CDate(reportingPeriodStart)
 		gReportingPeriodEnd = CDate(reportingPeriodEnd)
 		SetReportingPeriod = ""
	End Function
	
	Function GetReportingPeriodStart()
		GetReportingPeriodStart = gReportingPeriodStart
	End Function
	
	Function GetReportingPeriodEnd()
		GetReportingPeriodEnd = gReportingPeriodEnd
	End Function
	
	Function IsDateOfPeriod(dateValString)
		IsDateOfPeriod = False
		If IsDate(dateValString) Then
			Dim dateVal
			dateVal = CDate(dateValString)
			IsDateOfPeriod = (GetReportingPeriodStart() <= dateVal _
				And dateVal <= GetReportingPeriodEnd())
		End If
	End Function
	
	Function IsDateHasTasks(nPlanEntries)
		IsDateHasTasks = nPlanEntries <> "" And CInt(nPlanEntries) > 0
	End Function

	Function GetDaysNumber()
		GetDaysNumber = DateDiff("d", GetReportingPeriodStart(), _
			GetReportingPeriodEnd()) + 1
		If GetDaysNumber > 367 Then
			GetDaysNumber = 367
		End If
	End Function
	
	Function FormatThisPeriod()
		FormatThisPeriod = FormatDateTime(GetReportingPeriodStart(), 2) & " - " _
			& FormatDateTime(GetReportingPeriodEnd(), 2)
	End Function
	
  Dim gGetWeeklyWorkingHours
  gGetWeeklyWorkingHours = 0
  
  Function GetWeeklyWorkingHours()
    GetWeeklyWorkingHours = gGetWeeklyWorkingHours
    If IsNumeric(GetWeeklyWorkingHours) Then
      GetWeeklyWorkingHours = FormatNumberEx(gGetWeeklyWorkingHours)
    End If
  End Function
	
  Function AddWeekTotal(dayTaskHours)
    nHours = dayTaskHours
    If nHours = "" Then
      nHours = 0
    End If
    gGetWeeklyWorkingHours = gGetWeeklyWorkingHours + nHours
    AddWeekTotal = dayTaskHours
  End Function
  
  Dim gDayNo
  gDayNo = 1
  const nMaxDays = 367
  Dim gArrDayTaskHours(367)
  For i = 1 To nMaxDays
    gArrDayTaskHours(i) = 0
  Next
  
  Function GetDayTaskHours()
    GetDayTaskHours = gArrDayTaskHours(gDayNo)
    If IsNumeric(GetDayTaskHours) Then
      GetDayTaskHours = FormatNumberEx(gArrDayTaskHours(gDayNo))
    End If
  End Function
  
  Function AddDayTaskHours(dayTaskHours)
    nHours = dayTaskHours
    If nHours = "" Then
      nHours = 0
    End If
    gArrDayTaskHours(gDayNo) = gArrDayTaskHours(gDayNo) + CDbl(nHours)
    AddDayTaskHours = dayTaskHours
  End Function
  
	Dim gDaysIterator
	Function ResetStart()
		gDaysIterator = GetReportingPeriodStart()
    gDayNo = 1
		ResetStart = ""
	End Function
	
	Function GetDaysIterator()
		GetDaysIterator = gDaysIterator
	End Function
	
	Function GetDaysIteratorString()
		GetDaysIteratorString = FormatDateTime(GetDaysIterator(), 2)
	End Function
	
	Function GetDaysIteratorXsd()
		GetDaysIteratorXsd = ToXsdDate(GetDaysIterator())
	End Function
	
	Function IsEqualNextDate(dateValString)
		IsEqualNextDate = False
		If IsDate(dateValString) Then
			Dim dateVal
			dateVal = CDate(dateValString)
			IsEqualNextDate = (GetDaysIterator() = dateVal)
		End If
	End Function
	
	Function MoveNextDay()
		gDaysIterator = DateAdd("d", 1, gDaysIterator)
    gDayNo = gDayNo + 1
		MoveNextDay = ""
	End Function

	Function ToWeekDayName(dateString)
		ToWeekDayName = ToAbbrWeekDay(dateString) _
			& "," & Chr(160) & Day(dateString)
	End Function

	Function ToWeekDayNameLong(dateString)
		ToWeekDayNameLong = ToAbbrWeekDay(dateString) _
			& "," & Chr(160) & Day(dateString) & "/" & Month(dateString)
	End Function

	Function ToWeekDayOnly(dateString)
		Dim weekDays
		weekDays = Array("{Sunday}", "{Monday}", "{Tuesday}", _
			"{Wednesday}", "{Thursday}", "{Friday}", "{Saturday}")
		ToWeekDayOnly = ToWeekDayFrom(dateString, weekDays)
	End Function

	Function ToAbbrWeekDay(dateString)
		Dim weekDays
		weekDays = Array("{Sun}", "{Mon}", "{Tue}", "{Wed}", "{Thu}", "{Fri}", "{Sat}")
		ToAbbrWeekDay = ToWeekDayFrom(dateString, weekDays)
	End Function

	Function ToWeekDayFrom(dateString, arWeekDays)
		ToWeekDayFrom = arWeekDays(Weekday(dateString, 1) - 1)
	End Function

	Function FormatTwo(d)
		Dim strD
		strD = CStr(d)
		If Len(strD) = 1 Then
			strD = "0" & strD
		End If
		FormatTwo = strD
	End Function

	Function ToXsdDate(dateString)
		ToXsdDate = Year(dateString) _
			& "-" & FormatTwo(Month(dateString)) _
			& "-" & FormatTwo(Day(dateString))
	End Function
    ]]>
</ms:script>

<xsl:variable name="weekDaysList">
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
<IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/><IT/>
</xsl:variable>

</xsl:stylesheet>
  